// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface ENG_ScheduleParameterOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.ENG_ScheduleParameter)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Schedule parameter type
   * </pre>
   *
   * <code>.commonmodule.ScheduleParameterKind scheduleParameterType = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The enum numeric value on the wire for scheduleParameterType.
   */
  int getScheduleParameterTypeValue();
  /**
   * <pre>
   * Schedule parameter type
   * </pre>
   *
   * <code>.commonmodule.ScheduleParameterKind scheduleParameterType = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The scheduleParameterType.
   */
  openfmb.commonmodule.ScheduleParameterKind getScheduleParameterType();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>double value = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The value.
   */
  double getValue();
}
